Bug 304605 - Suggestion: Add a manual page that explains step-by-step how to set up a debugging environment for KDE
Summary: Suggestion: Add a manual page that explains step-by-step how to set up a debu...
Status: RESOLVED MOVED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-05 09:36 UTC by Christian
Modified: 2015-01-28 11:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian 2012-08-05 09:36:08 UTC
I reported a bug on plasma crashing when I try to open the desktop settings (bug 304172). Now, because I have some programming experience, I thought I could help to debug this myself. However, I failed, because I can't figure out how to set up a n adequate compile and debug environment. There are a couple of documents on the KDE web pages, but all of them address just parts of this issue, and some steps are missing. (List below.) So, I wonder, could someone write a step-by-step instruction for what to do to achieve the following?

Starting point: Assume the user has a working KDE environment, and that he doesn't want to break that.
Target: The user should be able to run (maybe in a chroot or in a separate account etc) the KDE environment within a debugger so that, when something fails, it's possible to "step into" the code and look at what are the values of variables, what's on the call stack, which line in the source code it is, etc. It must be also possible to adjust the source code, recompile, and run that.

Here are all the documents that I looked at. I figured out how to compile particular KDE components successfully, but I could not figure out how to (a) make my system use the freshly compiled libraries without breaking the rest of the system, (b) what kind of things I should do with a different user account so I don't break my current account, (c) start KDE desktop from within a debugger.

http://techbase.kde.org/Development/Tutorials
http://techbase.kde.org/Special:MyLanguage/Development/Tutorials/First_program
http://techbase.kde.org/Development/Tutorials/CMake
http://techbase.kde.org/Getting_Started/Build/Environment
http://techbase.kde.org/Development/Tutorials/Debugging
http://techbase.kde.org/Development/Tutorials/Debugging/Debugging_with_GDB
http://techbase.kde.org/Development/Tutorials/Debugging/Using_Error_Messages
http://techbase.kde.org/Development/FAQs/Debugging_FAQ


Reproducible: Didn't try
Comment 1 Christoph Feck 2012-08-05 11:59:07 UTC
There is also http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports which might be interesting.
Comment 2 Christian 2012-08-05 16:05:40 UTC
Yes, that's also useful, but again it doesn't explain how to make changes to programs and then run the modified version on an existing system with the debugger. I think it's easier for "standalone" applications, a game say; but how to do it with plasma-workspace?
Comment 3 Will Entriken 2015-01-27 22:10:19 UTC
Hello,

This bug reports missing documentation. I recommend that this report be closed and that a discussion on kde-devel mailing list be opened.

I am working on a complete rewrite of the developer documentation and look forward to ideas like this but a bug report will not provide the exposure that is needed. 

More discussion here: http://lists.kde.org/?l=kde-devel&m=142237810920431&w=2

Will
Comment 4 Myriam Schweingruber 2015-01-28 11:17:57 UTC
Closing as requested by Will